#!/bin/sh
#------------------------------------------------------------------------------
# /tmp/preinstall.sh - pre installation file for talk services on EIS/FAIR
#
# Copyright (c) 2002-2012 The Eisfair Team, team(at)eisfair(dot)org
#
# Creation:     2002-12-01  jed
# Last Update:  $Id: preinstall.sh 31574 2012-09-02 09:15:35Z jed $
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version..
#------------------------------------------------------------------------------

# file names
module_name='talk'
talkfile=/etc/config.d/${module_name}
installfile=/var/run/${module_name}.install
talk_deinstallfile=/var/install/deinstall/${module_name}

/usr/local/bin/colecho "running preinstall.sh ..." gn

# check base version
installed_version=`/var/install/bin/check-version base 1.8.6`

case $installed_version in
    not-installed|new ) # wrong version
        /usr/local/bin/colecho "required base package v1.8.6 or newer not installed - installation aborted." br x br
        /var/install/bin/anykey
        exit 1
        ;;
    * ) # installed / old
        ;;
esac

# include eislib
. /var/install/include/eislib

# backup file
if [ -f $talkfile ]
then
    mecho "saving previous configuration file to $installfile ..."
    cp $talkfile $installfile
fi

# deinstall old software
mecho "deinstalling previously installed software ..."
/var/install/bin/del-package -p ${module_name} update

exit 0
